### Constructor

# GimpUi StringComboBox new

#### Declaration [src]

    GtkWidget*
    gimp_string_combo_box_new (
      GtkTreeModel* model,
      gint id_column,
      gint label_column
    )

#### Description

No description available.

Available since: | 2.4

#### Parameters

`model` | `GtkTreeModel`
| A `GtkTreeModel`.
| The data is owned by the caller of the function.
`id_column` | `gint`
| The model column of the ID.
`label_column` | `gint`
| The modl column of the label.

#### Return value

Returns: | `GtkWidget`
| A new `GimpStringComboBox`.
| The data is owned by the called function.